On the English Wikipedia: disable ArticleFeedbackv4; disable or make opt-in ArticleFeedbackv5
Closed, ResolvedPublic

Description

Based on the discussion at https://en.wikipedia.org/wiki/Wikipedia:Requests_for_comment/Article_feedback, there seems to be two possible paths forward, depending on the Wikimedia Foundation's interest in continuing to work on article feedback:

  • disable ArticleFeedbackv4 and ArticleFeedbackv5 on the English Wikipedia entirely; or
  • disable ArticleFeedbackv4 on the English Wikipedia entirely and make ArticleFeedbackv5 on the English Wikipedia opt-in.

I believe the ArticleFeedbackv5 extension already supports the ability to be opt-in only (by disabling the lottery option, essentially), so I'm filing this as a site request for the English Wikipedia.


Version: wmf-deployment
Severity: normal
URL: https://en.wikipedia.org/wiki/Wikipedia:Requests_for_comment/Article_feedback

bzimport set Reference to bz45538.
MZMcBride created this task.Via LegacyFeb 28 2013, 4:12 AM
Reedy added a comment.Via ConduitFeb 28 2013, 4:19 AM

What's wrong with bug 43892 ?

MZMcBride added a comment.Via ConduitFeb 28 2013, 4:23 AM

(In reply to comment #1)

What's wrong with bug 43892 ?

Bug 43892 is about ArticleFeedbackv4 on Wikimedia wikis. This bug is about all versions of ArticleFeedback on the English Wikipedia only. Resolving bug 43892 would partially resolve this bug.

Legoktm added a comment.Via ConduitFeb 28 2013, 5:03 AM

gerrit change #51340 disables AFTv4 on enwiki only.

gerrit change #51341 makes AFTv5 opt-in by disabling the lottery system, which will cause the categories to be used instead.

Fabrice_Florin added a comment.Via ConduitFeb 28 2013, 7:58 AM
  • Bug 43892 has been marked as a duplicate of this bug. ***
MZMcBride added a comment.Via ConduitFeb 28 2013, 8:08 AM

(In reply to comment #3)

Gerrit change #51340 disables AFTv4 on enwiki only.

Gerrit change #47551, rather. Silly Reedy!

Gerrit change #51341 makes AFTv5 opt-in by disabling the lottery system,
which will cause the categories to be used instead.

Sweet. Thank you very much for submitting a changeset. I don't think there's anything holding up a merge of this. It'll just switch the English Wikipedia back to the opt-in system and it'll take a few weeks for the Squid caches to clear, as I recall, so the sooner we get started, the better, I think.

Ironholds added a comment.Via ConduitFeb 28 2013, 8:13 AM

I'd imagine we should wait at least a couple of days to see if there's any fallout from the close. Picking a middle-ground that few parties signed up to directly is a largely novel way of defining and deciding consensus; I'd be more comfortable making sure that there's no fallout before taking action.

Fabrice_Florin added a comment.Via ConduitFeb 28 2013, 8:19 AM

MZ, thanks for filing this ticket about Article Feedback 4 and 5 on English Wikipedia.

Legoktm, thanks for your Gerrit changes.

We'll discuss all this with our product team, review the Gerrit changes and post back here shortly with a release plan for both features.

I support Oliver's reasonable suggestion to wait a few days, to make sure that we are all clear on the final consensus, as well as prepare for the many steps that would go along with either an opt-in version or removal of AFT5.

We expect to remove Article Feedback v4 (AFT4) at about the same time as we make RfC-related changes to Article Feedback v5 (AFT5), so we can test all these changes together and make a single announcement about both versions.

Going forward, I recommend posting any Bugzilla tickets about Article Feedback under this product category: 'MediaWiki extensions > Article Feedback v5'. This insures that Matthias, Oliver and I get the notifications, since we'll be doing that work along with other AFT-related deployments. For now, I have Cc:d us all for this ticket.

MZMcBride added a comment.Via ConduitFeb 28 2013, 8:36 AM

(In reply to comment #7)

We'll discuss all this with our product team, review the Gerrit changes and
post back here shortly with a release plan for both features.

Sounds good. You may want to post on the RFC talk page to catch the attention of any lingering talk page watchers with any updates.

I support Oliver's reasonable suggestion to wait a few days, to make sure
that we are all clear on the final consensus, as well as prepare for the many
steps that would go along with either an opt-in version or removal of AFT5.

Sure, there's no real rush. I'll make a note to check back in a week.

(In reply to comment #6)

I'd imagine we should wait at least a couple of days to see if there's any
fallout from the close. Picking a middle-ground that few parties signed up to
directly is a largely novel way of defining and deciding consensus; I'd be
more comfortable making sure that there's no fallout before taking action.

Sure, as above. Though the worst case I can imagine here is that a few people might get upset about AFTv5 switching back to opt-in rather than being completely disabled. I guess? I can't really see the outrage, to be honest. In the case of immediately deploying https://gerrit.wikimedia.org/r/51341, the local community can still decide to simply not use the category (that is, not opt-in to article feedback on any articles). As long as nobody tries to mass-add this category to articles with a bot and without consensus again, I doubt there'd be any issue. ;-) But waiting a few days is fine.

Fabrice_Florin added a comment.Via ConduitFeb 28 2013, 5:26 PM

Hi MZ, sounds good.

Glad this plan works for you.

We'll consider your proposal to remove feedback from articles selected by lottery in our next deployment, before deploying the new features and data cluster.

I haven't seen any reactions yet on the talk page of the RfC. Do you know if any other discussions are taking place elsewhere, which we should monitor?

Also, now that the RfC is closed, would you be kind enough to remove the banner that appears at the top of the feedback page, if you are the one who put it there in the first place? ('Please participate in an important discussion about the future of article feedback on the English Wikipedia.')

We'll post our release plan in a few days, once we've sorted out all the different moving parts and organized them into a practical timetable.

MZMcBride added a comment.Via ConduitFeb 28 2013, 5:54 PM

(In reply to comment #9)

We'll consider your proposal to remove feedback from articles selected by
lottery in our next deployment, before deploying the new features and data
cluster.

It wasn't really a proposal. One way or another, this extension must be disabled or made opt-in on the English Wikipedia. The lottery overrides the previous category-based behavior, as far as I'm aware. If there's another way to achieve the same means, I suppose that would also be fine.

I haven't seen any reactions yet on the talk page of the RfC. Do you know if
any other discussions are taking place elsewhere, which we should monitor?

Not that I'm aware of.

Also, now that the RfC is closed, would you be kind enough to remove
the banner that appears at the top of the feedback page, if you are
the one who put it there in the first place? ('Please participate in
an important discussion about the future of article feedback on the
English Wikipedia.')

Sure, done: [[MediaWiki talk:Articlefeedbackv5-header-message]].

Aklapper added a comment.Via ConduitFeb 28 2013, 6:35 PM

(In reply to comment #7)

Going forward, I recommend posting any Bugzilla tickets about Article
Feedback
under this product category: 'MediaWiki extensions > Article Feedback v5'.

MediaWiki extensions > AFTv5 is about the AFTv5 codebase only.

We handle any Wikimedia site configuration requests under Wikimedia > Site configuration in Bugzilla, and I am happy to extend the CC list whenever I see a request that could be interesting for developers of specific software projects.

Fabrice_Florin added a comment.Via ConduitFeb 28 2013, 10:06 PM

(In reply to comment #10)

It wasn't really a proposal. One way or another, this extension must be
disabled or made opt-in on the English Wikipedia. The lottery overrides the
previous category-based behavior, as far as I'm aware.

The proposal I was referring to is to remove feedback from lottery articles BEFORE deploying new features and data cluster, which seems to make sense. We're in agreement about removing feedback from most lottery articles (though we would like to keep the category for some articles which have received a fair amount of moderation and useful feedback, which seems consistent with the intent of the RfC closure)

(In reply to comment #11)

We handle any Wikimedia site configuration requests under Wikimedia > Site
configuration in Bugzilla, and I am happy to extend the CC list whenever I see
a request that could be interesting for developers of specific software
projects.

Thanks for this clarification. I stand corrected. :) I appreciate your willingness to extend the CC list so that our project developers are in the loop about configuration requests which impact our features.

Nemo_bis added a comment.Via ConduitMar 4 2013, 8:26 PM

(though
we would like to keep the category for some articles which have received a
fair
amount of moderation and useful feedback, which seems consistent with the
intent of the RfC closure)

It's surely not consistent with the RfC closure at all.

Fabrice_Florin added a comment.Via ConduitMar 5 2013, 3:07 AM

As discussed, here is an updated version of our 2013 release plan for Article Feedback v5:
http://www.mediawiki.org/wiki/Article_feedback/Version_5/Release_Plan_2013

On Tuesday, March 5 at about 20:00 UTC, we plan to make these revisions:

  • remove AFT4 feedback form on the English Wikipedia
  • remove feedback form from AFT5 lottery articles
  • switch AFT5 to 'opt-in'mode (show feedback for 'Article Feedback 5' category)

This will remove AFT feedback forms from over 99% of the articles on the English Wikipedia, as requested in the RfC closure statement.

Editors who want to enable AFT5 on articles they watch can simply add [[Category:Article_Feedback_5]] to these pages and the feedback form will automatically appear on these pages, as described here:
http://en.wikipedia.org/wiki/Category:Article_Feedback_5

The week of March 11, we plan to deploy on the English and German Wikipedias the new features which we have been testing on prototype, as described here:
http://www.mediawiki.org/wiki/Article_feedback/Version_5/Testing

Please let us know if you have any comments or questions.

Nemo_bis added a comment.Via ConduitAug 9 2013, 9:11 AM

(In reply to comment #14)

On Tuesday, March 5 at about 20:00 UTC, we plan to make these revisions:

  • remove AFT4 feedback form on the English Wikipedia
  • remove feedback form from AFT5 lottery articles
  • switch AFT5 to 'opt-in'mode (show feedback for 'Article Feedback 5' category)

Fabrice, can you explain why this decision was reversed? AFTv5 is again available on all pages and I don't see instructions on how to disable it.
https://en.wikipedia.org/w/index.php?title=Wikipedia_talk%3AArticle_Feedback_Tool%2FVersion_5&diff=567792462&oldid=567430819

Nemo_bis added a comment.Via ConduitAug 9 2013, 9:33 AM

Matthias replied on https://gerrit.wikimedia.org/r/72496:


TL;DR: enwiki wanted to get rid of large-scale AFTv5 deployment, but could still have AFT on a small minority. dewiki wanted to get rid of it entirely.

If anything seems incorrect there, please let me know - this is how I've understood it.

For enwiki:

Following http://en.wikipedia.org/wiki/Wikipedia:Requests_for_comment/Article_feedback, AFTv5 was removed from most of the pages it was enabled on. It had been on 10% + articles with Category:Article_Feedback_5 & Category:Article_Feedback_5_Additional_Articles; the categories have been removed & lottery percentage set to 0.

A "fair sized minority" did support the tool and it could live on "limited to a level which that minority cope with on its own". While the large-scale deployment of AFTv5 was undone, it is still possible for individuals to opt in (http://www.mediawiki.org/wiki/Article_feedback/Version_5/Feature_Requirements#Enable.2Fdisable_feedback_on_a_page) to AFTv5 for certain pages.

It appears to be enabled on ~2800 pages now: http://ee-prototype.wmflabs.org/metrics/aftv5_enabled_pages.php?wiki=enwiki


Thanks for the answer, but this doesn't explain anything. Comment 14 said that categories would have been in control of the activation of AFT. Now AFT is on all pages, first in the toolbox and then with the usual box at the bottom after one click.

It also doesn't match the goal of being "limited to a level which that minority cope with on its own", because it is no longer enabled only on the pages there is an interest for, nor I see any way to disable it on the pages where it is not wanted (perhaps sysop can, with action=protect?).

I don't have an opinion on whether this matches what they requested at en.wiki, but surely it's something that should have been communicated explaining why you think it does...

matthiasmullie added a comment.Via ConduitAug 9 2013, 9:46 AM

Some more background: the "opt-in via the link in the toolbox" feature was non-existent when comment 14 was written (back then, only categories could be used). The feature was created in response to (I think) frwiki, to make it more straightforward on how to opt-in for AFT.

Although I believe this still satisfies the "make opt-in" guideline, I'm not sure the addition of this feature was properly explained. If need be, it would be possible to disable this opt-in (leaving only the categories to opt-in).

At the very least, we should indeed better document how to disable AFTv5 from pages where it has been enabled (there's a link to disable on Special:ArticleFeedbackv5/<page>; and indeed, sysops can via action=protect). I'll add brief instructions to http://en.wikipedia.org/wiki/Wikipedia:Article_Feedback/Help#Feedback_page

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.